Subject: bug#16697: 24.3.50; ERC scrolltobottom module does not work anymore

From: Ivan Kanis <[email-masked]>
Date: Mon, 10 Feb 2014 22:12:19 +0100

February, 09 at 19:16 Eli wrote:

>> From: Ivan Kanis <[email-masked]>
>> Cc: [email-masked]
>> Date: Sun, 09 Feb 2014 10:44:06 +0100
>> 
>> February, 08 at 23:03 Eli wrote:
>> 
>> >> From: Ivan Kanis <[email-masked]>
>> >> Date: Sat, 08 Feb 2014 21:53:47 +0100
>> >> 
>> >> 1) emacs -Q
>> >> 2) eval (setq erc-modules '(scrolltobottom)) in *scratch*
>> >> 3) M-x erc RET RET RET
>> >> 
>> >> Wait for the window to fill up.
>> >> 
>> >> I expect the prompt to stay at the bottom as it used to in 24.3.
>> >
>> > Does it help to set scroll-conservatively to a value larger than 100?
>> 
>> Hi Eli,
>> 
>> Of course it 'works' but it's global for all buffers. After years of
>> conservative scroll set to 0 I am somewhat used to it. I have set it to
>> 101 on my configuration to see if it's nice.
>> 
>> This module did The Right Thing just for ERC buffers. It if can't be
>> fixed it should at least be removed.
>
> Sorry, I didn't mean to suggest that you should turn on
> scroll-conservatively, I just wanted to see what causes recentering.
>
> However, now that I tried your recipe, I see that Emacs 24.3 also
> recenters, like the current trunk.  If I then type RET at the "ERC>"
> prompt, the display is scrolled so that the last non-empty line is
> indeed at the bottom of the window.
>
> I think this is expected, given that scrolltobottom works off the
> post-command-hook, no?
>
> Are you sure that Emacs 24.3 behaves differently here?  Did you
> perhaps use in Emacs 24.3 erc that is different from the one which was
> supplied with the release tarball?

I tested on 24.3 and 24.2 and it does recenter. I am sure this feature
worked at some point but can't recall when. I can try further previous
versions if you wish.

When I type RET at the prompt I get an error message saying I can't send
an empty line. It errors "Blank line - ignoring" in the echo area.
However the display does not scroll up for me.
-- 
Things unattempted yet in prose or rhyme.
    -- John Milton